- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# self_iterator.hh File Reference

Iterator holding its container. More...

Include dependency graph for self_iterator.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
namespace | vcsn::misc
## Classes
class | SelfIterator
| SelfIterator is an iterator which is also a container. More...

## Detailed Description

Iterator holding its container.

Definition in file self_iterator.hh.